Fl_Widget.H File Reference

Fl_Widget, Fl_Label classes . More...

`#include "Enumerations.H"`

Go to the source code of this file.

## Classes

struct | Fl_Label
| This struct stores all information for a text or mixed graphics label. More...
class | Fl_Widget
| Fl_Widget is the base class for all widgets in FLTK. More...

## Macros

#define | FL_RESERVED_TYPE 100
| Reserved type numbers (necessary for my cheapo RTTI) start here. More...

## Typedefs

typedef void( | Fl_Callback )(Fl_Widget *, void *)
| Default callback type definition for all fltk widgets (by far the most used)
typedef void( | Fl_Callback0 )(Fl_Widget *)
| One parameter callback type definition passing only the widget.
typedef void( | Fl_Callback1 )(Fl_Widget *, long)
| Callback type definition passing the widget and a long data value.
typedef Fl_Callback * | Fl_Callback_p
| Default callback type pointer definition for all fltk widgets.
typedef long | fl_intptr_t
typedef unsigned long | fl_uintptr_t

## Detailed Description

Fl_Widget, Fl_Label classes .

## Macro Definition Documentation

#define FL_RESERVED_TYPE 100

Reserved type numbers (necessary for my cheapo RTTI) start here.

Grep the header files for "RESERVED_TYPE" to find the next available number.

## Typedef Documentation

typedef long fl_intptr_t

Todo:
  typedef's fl_intptr_t and fl_uintptr_t should be documented.

- © 1998-2012 by Bill Spitzak and others.